API Explorer 1 endpoints

Remove User from Group

DELETE /obp/v7.0.0/users/USER_ID/group-entitlements/GROUP_ID

OBPv6.0.0-removeUserFromGroup No role required GroupUserEntitlement

Remove a user from a group. This will delete all entitlements that were created by this group membership.

Only removes entitlements with:

  • group_id matching GROUP_ID

An entitlement for a Role that another Group the user is in (at the same bank) also grants is kept, and recorded against that Group instead.

Requires either:

  • CanRemoveUserFromGroupAtAllBanks (for any group)
  • CanRemoveUserFromGroupAtOneBank (for groups at specific bank)

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

URL Parameters:

GROUP_ID: GROUP_ID

USER_ID: 9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1

JSON response body fields (0)
Possible errors (2)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-50000: Unknown Error.
Implemented by OBPv6.0.0 removeUserFromGroup Originally /obp/v6.0.0/users/USER_ID/group-entitlements/GROUP_ID